OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPLCAF
PDataStd

# PDataStd_FieldOfHArray1OfHArray1OfInteger Class Reference

`#include <PDataStd_FieldOfHArray1OfHArray1OfInteger.hxx>`

Inheritance diagram for PDataStd_FieldOfHArray1OfHArray1OfInteger:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | PDataStd_FieldOfHArray1OfHArray1OfInteger ()
Standard_EXPORT | PDataStd_FieldOfHArray1OfHArray1OfInteger (const Standard_Integer Size)
Standard_EXPORT | PDataStd_FieldOfHArray1OfHArray1OfInteger (const PDataStd_FieldOfHArray1OfHArray1OfInteger &Varray)
Standard_EXPORT void | Resize (const Standard_Integer Size)
Standard_EXPORT void | Assign (const PDataStd_FieldOfHArray1OfHArray1OfInteger &Other)
void | operator= (const PDataStd_FieldOfHArray1OfHArray1OfInteger &Other)
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Handle(PColStd_HArray1OfInteger)&Value)
Standard_EXPORT Handle_PColStd_HArray1OfInteger & | Value (const Standard_Integer Index) const
Handle_PColStd_HArray1OfInteger & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | Destroy ()
| ~PDataStd_FieldOfHArray1OfHArray1OfInteger ()
## Friends
Standard_EXPORT friend Handle_Standard_Type & | PDataStd_FieldOfHArray1OfHArray1OfInteger_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT PDataStd_FieldOfHArray1OfHArray1OfInteger::PDataStd_FieldOfHArray1OfHArray1OfInteger | ( |  | ) |

Standard_EXPORT PDataStd_FieldOfHArray1OfHArray1OfInteger::PDataStd_FieldOfHArray1OfHArray1OfInteger | ( | const Standard_Integer | Size | ) |

Standard_EXPORT PDataStd_FieldOfHArray1OfHArray1OfInteger::PDataStd_FieldOfHArray1OfHArray1OfInteger | ( | const PDataStd_FieldOfHArray1OfHArray1OfInteger & | Varray | ) |

PDataStd_FieldOfHArray1OfHArray1OfInteger::~PDataStd_FieldOfHArray1OfHArray1OfInteger | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void PDataStd_FieldOfHArray1OfHArray1OfInteger::Assign | ( | const PDataStd_FieldOfHArray1OfHArray1OfInteger & | Other | ) |

Standard_EXPORT void PDataStd_FieldOfHArray1OfHArray1OfInteger::Destroy | ( |  | ) |

| Reimplemented from DBC_BaseArray.

void PDataStd_FieldOfHArray1OfHArray1OfInteger::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* PDataStd_FieldOfHArray1OfHArray1OfInteger::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* PDataStd_FieldOfHArray1OfHArray1OfInteger::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from DBC_BaseArray.

Handle_PColStd_HArray1OfInteger& PDataStd_FieldOfHArray1OfHArray1OfInteger::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

void PDataStd_FieldOfHArray1OfHArray1OfInteger::operator= | ( | const PDataStd_FieldOfHArray1OfHArray1OfInteger & | Other | ) | `[inline]`

Standard_EXPORT void PDataStd_FieldOfHArray1OfHArray1OfInteger::Resize | ( | const Standard_Integer | Size | ) |

Standard_EXPORT void PDataStd_FieldOfHArray1OfHArray1OfInteger::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(PColStd_HArray1OfInteger)& | Value
| ) |

Standard_EXPORT Handle_PColStd_HArray1OfInteger& PDataStd_FieldOfHArray1OfHArray1OfInteger::Value | ( | const Standard_Integer | Index | ) | const

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& PDataStd_FieldOfHArray1OfHArray1OfInteger_Type_ | ( |  | ) | `[friend]`

The documentation for this class was generated from the following file:

- PDataStd_FieldOfHArray1OfHArray1OfInteger.hxx